CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.15. CUpti_ActivityExternalCorrelation Struct Reference

## [CUPTI Activity API]

This activity record correlates native CUDA records (e.g. CUDA Driver API, kernels, memcpys, ...) with records from external APIs such as OpenACC. (CUPTI_ACTIVITY_KIND_EXTERNAL_CORRELATION).

See also:

CUpti_ActivityKind

### Public Variables

uint32_t correlationId
uint64_t externalId
CUpti_ExternalCorrelationKind externalKind
CUpti_ActivityKind kind
uint32_t reserved

### Variables

uint32_t CUpti_ActivityExternalCorrelation::correlationId [inherited]

  The correlation ID of the associated CUDA driver or runtime API record.

uint64_t CUpti_ActivityExternalCorrelation::externalId [inherited]

  The correlation ID of the associated non-CUDA API record. The exact field in the associated external record depends on that record's activity kind (

  See also:

  externalKind).

CUpti_ExternalCorrelationKind CUpti_ActivityExternalCorrelation::externalKind [inherited]

  The kind of external API this record correlated to.

CUpti_ActivityKind CUpti_ActivityExternalCorrelation::kind [inherited]

  The kind of this activity.

uint32_t CUpti_ActivityExternalCorrelation::reserved [inherited]

  Undefined. Reserved for internal use.